<div ng-controller='UserController' class='container'>
  <div class='row'>
    <h2>Hooked Browsers</h2>
    <table class='hooks table table-striped table-hover'>

      <input type='text' placeholder='Search' ng-model='userSearchText'>
      
      <thead>
        <tr>
          <th>ID</th> <th>IP</th> <th>OS</th> <th>Time Connected</th>
        </tr>
      </thead>

      <tbody>
        <tr ng-repeat='user in users | orderBy:"id" | filter:userSearchText' class='user' ng-click='selectUser(user.id, user.socketId); user.state=!user.state' ng-class="{'selected' : user.state}">
          <td class='userId'>{{user.id}}</td>
          <td class='userIp'>{{user.ip}}</td>
          <td class='userAgent'>{{user.agent}}</td>
          <td class='userConnectedAt' am-time-ago='user.connectedAt'></td>
        </tr>
      </tbody>

    </table>
  </div>
  <div class='row'>
    <h2>Attacks</h2>
    <table class='attacks table table-striped-multi-row table-hover'>

      <input type='text' placeholder='Search' ng-model='attackSearchText'>
      
      <thead>
        <tr>
          <th>Name</th> <th>Description</th>
        </tr>
      </thead>
      
      <tbody ng-repeat='attack in attacks | orderBy:"name" | filter:attackSearchText'>
      
        <tr class='attackInfo' ng-click='selectAttack(); attack.state=!attack.state'>
          <td class='attackName'>{{attack.name}}</td>
          <td class='attackDescription'>{{attack.description}}</td>
        </tr>
      
        <tr class='attackConfig' ng-show='attack.state'>
          <td>
            Configuration:
          </td>
          <td>
            <form ng-submit='executeAttack(attack.name, attack.inputs, false); attack.state=!attack.state'>
              <span ng-repeat='(inputName, inputValue) in attack.inputs'>
                {{inputName}}:
                <input type='text' ng-model='attack.inputs[inputName]'>
              </span>
              <input type='submit' value='Execute'>
            </form>
          </td>
        </tr>
      
      </tbody>

    </table>
  
  </div>

  <div class='row'>
    <h2>Results</h2>
    <ul>
      <li ng-repeat='result in results | orderBy:"-timestamp"'>
        <span>{{result.message}}</span>
        <span am-time-ago="result.timestamp"></span>
        <div class='attackConfig' ng-show='result.followup'>
          <form ng-submit='executeAttack(result.name, result.inputs, true, result.id)'>
            <span class='attackInputs'>
              <span ng-repeat='(inputName, inputValue) in result.inputs'>
                {{inputName}}:
                <input type='text' ng-model='result.inputs[inputName]'>
              </span>        
            </span>
            <span>
              <input type='submit' value='Execute' >
            </span>
          </form>
        </div>
      </li>
    </ul>
  </div>
</div>
